local DailyTaskLogic = require("dailyTask.DailyTaskLogic")
local DailyShareTaskLogic = require("dailyTask.DailyShareTaskLogic")
local ActTimeTable = require("dailyTask.ActTimeTable")
local LiLianLogic = require("dailyTask.LiLianLogic")

-- 查询每日任务
function CG_DAILYTASK_QUERY(human)
	DailyTaskLogic.dailyTaskQuery(human)
end

-- 领取每日任务奖励
function CG_DAILYTASK_GET_REWARD(human, msg)
	DailyTaskLogic.dailyTaskGetReward(human, msg.taskID)
end

function CG_DAILYTASK_GET_HUOYUEBOX(human,msg)
	DailyTaskLogic.CG_DAILYTASK_GET_HUOYUEBOX(human,msg.boxID)
end

-- 活动表 --
function CG_ACTTIMETABLE_QUERY(human)
	ActTimeTable.CG_ACTTIMETABLE_QUERY(human)
end

function CG_ACTTIMETABLE_ACT(human, msg)
	ActTimeTable.CG_ACTTIMETABLE_ACT(human, msg.id)
end

--历练--
function CG_LILIAN_QUERY(human, msg)
	LiLianLogic.lilianQuery(human, msg.taskType)
end

function CG_LILIAN_GET(human, msg)
	LiLianLogic.lilianGet(human, msg.taskType,msg.id)
end

function CG_LILIAN_SHRE(human,msg)
	LiLianLogic.CG_LILIAN_SHRE(human,msg.taskType,msg.id,msg.id,msg.shareType)
end
